/* You can add global styles to this file, and also import other style files */

*,
*::after,
*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  // define 1rem = 10px
  font-size: 62.5%;
}

.row {
  display: flex;
  flex-wrap: wrap;
}

.container-fluid {
  width: 100%;
}

.container {
  width: 85%;
  margin: 0 auto;
  max-width: 1200px;
}

.col-sm,
.col-sm-1,
.col-sm-2,
.col-sm-3,
.col-sm-4,
.col-sm-5,
.col-sm-6,
.col-sm-7,
.col-sm-8,
.col-sm-9,
.col-sm-10,
.col-sm-11,
.col-sm-12,
.col-md,
.col-md-1,
.col-md-2,
.col-md-3,
.col-md-4,
.col-md-5,
.col-md-6,
.col-md-7,
.col-md-8,
.col-md-9,
.col-md-10,
.col-md-11,
.col-md-12,
.col-lg,
.col-lg-1,
.col-lg-2,
.col-lg-3,
.col-lg-4,
.col-lg-5,
.col-lg-6,
.col-lg-7,
.col-lg-8,
.col-lg-9,
.col-lg-10,
.col-lg-11,
.col-lg-12,
.col-xl,
.col-xl-1,
.col-xl-2,
.col-xl-3,
.col-xl-4,
.col-xl-5,
.col-xl-6,
.col-xl-7,
.col-xl-8,
.col-xl-9,
.col-xl-10,
.col-xl-11,
.col-xl-12 {
  width: 100%;
  min-height: 1px;
}

.col {
  flex: 1;
}

.col-1 {
  width: calc(100% / 12);
}
.col-2 {
  width: calc(100% / 6);
}
.col-3 {
  width: calc(100% / 4);
}
.col-4 {
  width: calc(100% / 3);
}
.col-5 {
  width: calc(500% / 12);
}
.col-6 {
  width: calc(100% / 2);
}
.col-7 {
  width: calc(700% / 12);
}
.col-8 {
  width: calc(200% / 3);
}
.col-9 {
  width: calc(300% / 4);
}
.col-10 {
  width: calc(500% / 6);
}
.col-11 {
  width: calc(1100% / 12);
}
.col-12 {
  width: 100%;
}

@media (min-width: 576px) {
  .col-sm-1 {
    width: calc(100% / 12);
  }
  .col-sm-2 {
    width: calc(100% / 6);
  }
  .col-sm-3 {
    width: calc(100% / 4);
  }
  .col-sm-4 {
    width: calc(100% / 3);
  }
  .col-sm-5 {
    width: calc(500% / 12);
  }
  .col-sm-6 {
    width: calc(100% / 2);
  }
  .col-sm-7 {
    width: calc(700% / 12);
  }
  .col-sm-8 {
    width: calc(200% / 3);
  }
  .col-sm-9 {
    width: calc(300% / 4);
  }
  .col-sm-10 {
    width: calc(500% / 6);
  }
  .col-sm-11 {
    width: calc(1100% / 12);
  }
  .col-sm-12 {
    width: 100%;
  }
}

@media (min-width: 768px) {
  .col-md-1 {
    width: calc(100% / 12);
  }
  .col-md-2 {
    width: calc(100% / 6);
  }
  .col-md-3 {
    width: calc(100% / 4);
  }
  .col-md-4 {
    width: calc(100% / 3);
  }
  .col-md-5 {
    width: calc(500% / 12);
  }
  .col-md-6 {
    width: calc(100% / 2);
  }
  .col-md-7 {
    width: calc(700% / 12);
  }
  .col-md-8 {
    width: calc(200% / 3);
  }
  .col-md-9 {
    width: calc(300% / 4);
  }
  .col-md-10 {
    width: calc(500% / 6);
  }
  .col-md-11 {
    width: calc(1100% / 12);
  }
  .col-md-12 {
    width: 100%;
  }
}

@media (min-width: 992px) {
  .col-lg-1 {
    width: calc(100% / 12);
  }
  .col-lg-2 {
    width: calc(100% / 6);
  }
  .col-lg-3 {
    width: calc(100% / 4);
  }
  .col-lg-4 {
    width: calc(100% / 3);
  }
  .col-lg-5 {
    width: calc(500% / 12);
  }
  .col-lg-6 {
    width: calc(100% / 2);
  }
  .col-lg-7 {
    width: calc(700% / 12);
  }
  .col-lg-8 {
    width: calc(200% / 3);
  }
  .col-lg-9 {
    width: calc(300% / 4);
  }
  .col-lg-10 {
    width: calc(500% / 6);
  }
  .col-lg-11 {
    width: calc(1100% / 12);
  }
  .col-lg-12 {
    width: 100%;
  }
}

@media (min-width: 1200px) {
  .col-xl-1 {
    width: calc(100% / 12);
  }
  .col-xl-2 {
    width: calc(100% / 6);
  }
  .col-xl-3 {
    width: calc(100% / 4);
  }
  .col-xl-4 {
    width: calc(100% / 3);
  }
  .col-xl-5 {
    width: calc(500% / 12);
  }
  .col-xl-6 {
    width: calc(100% / 2);
  }
  .col-xl-7 {
    width: calc(700% / 12);
  }
  .col-xl-8 {
    width: calc(200% / 3);
  }
  .col-xl-9 {
    width: calc(300% / 4);
  }
  .col-xl-10 {
    width: calc(500% / 6);
  }
  .col-xl-11 {
    width: calc(1100% / 12);
  }
  .col-xl-12 {
    width: 100%;
  }
}

@mixin card-defaults {
  text-align: center;
  padding: 2.5rem 2rem;
  box-shadow: 0 1rem 2rem rgba(black, 0.1);
  border-radius: 20px;
  background-color: white;
  margin: 2rem auto;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  height: 40rem;
  width: 25rem;

  &__header {
    font-size: 2rem;
    text-transform: uppercase;
  }

  &__photo {
    width: 10rem;
  }
}

// UTILITY

.mt-1 {
  margin-top: 1rem;
}
.mt-2 {
  margin-top: 2rem;
}
.mt-3 {
  margin-top: 3rem;
}
.mt-4 {
  margin-top: 4rem;
}
.mt-5 {
  margin-top: 5rem;
}

.mb-1 {
  margin-bottom: 1rem;
}
.mb-2 {
  margin-bottom: 2rem;
}
.mb-3 {
  margin-bottom: 3rem;
}
.mb-4 {
  margin-bottom: 4rem;
}
.mb-5 {
  margin-bottom: 5rem;
}

// Loader
.lds-ring {
  display: inline-block;
  position: relative;
  width: 80px;
  height: 80px;
}
.lds-ring div {
  box-sizing: border-box;
  display: block;
  position: absolute;
  width: 64px;
  height: 64px;
  margin: 8px;
  border: 8px solid blue;
  border-radius: 50%;
  animation: lds-ring 1.2s cubic-bezier(0.5, 0, 0.5, 1) infinite;
  border-color: blue transparent transparent transparent;
}
.lds-ring div:nth-child(1) {
  animation-delay: -0.45s;
}
.lds-ring div:nth-child(2) {
  animation-delay: -0.3s;
}
.lds-ring div:nth-child(3) {
  animation-delay: -0.15s;
}
@keyframes lds-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
